from fastapi import APIRouter

from .swagger import router as swagger_router
from .ping import router as ping_router
from .from_zbx import router as zbx_router
from config import conf


router = APIRouter()

router.include_router(
    swagger_router,
    prefix=conf.prefix.swagger,
)
router.include_router(
    ping_router,
    prefix=conf.prefix.ping,
    tags=["Ping"],
)

router.include_router(
    zbx_router,
    prefix=conf.prefix.zbx,
    tags=["From Zabbix"],
)
